Bug 10086 - link in /etc/smrsh not made upon install
link in /etc/smrsh not made upon install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: procmail (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Brock Organ
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-09 07:02 EST by w.w.wouts
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 07:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description w.w.wouts 2000-03-09 07:02:15 EST
With the installation of procmail a link in /etc/smrsh to /usr/bin/procmail
doesn't get made. This makes procmail not useable from a ~/.forward file by
default. I think that if a sysadmin chooses to install procmail it should
be useable in this way.

Ward Wouts
Comment 1 Jeff Johnson 2000-08-11 12:15:32 EDT
Create the link by hand if you wish to use. Red Hat cannot distribute the link,
as that dictates
a security policy, and we wish to distribute as secure a system as possible by
default.
Comment 2 Jan Kratochvil 2006-10-17 14:59:41 EDT
Sorry for reopening WONTFIX but: Is the maintainer's position still valid for FC6?
I had now end-user complaint for some host.
The sysadmin will symlink it anyway, RH cannot expect deep security audit for
all the users. The dangers should be more handled by the SELinux targeted policy.
Comment 3 Jan Kratochvil 2006-10-17 15:58:35 EDT
It may not be FC6 but FC5, also it works on RHEL5 (despite /etc/smrsh is empty)
for me. The original error:
   ----- The following addresses had permanent fatal errors -----
|exec /usr/bin/procmail
    (reason: Service unavailable)
    (expanded from: <RECIPIENT-ADDRESS>)

   ----- Transcript of session follows -----
smrsh: "procmail" not available for sendmail programs (stat failed)
554 5.0.0 Service unavailable

As the user's ".procmailrc" was being ignored and he created ".forward":
|exec /usr/bin/procmail

To be investigated more, possible reasons hint is still welcome.
Comment 4 Miroslav Lichvar 2006-10-23 07:58:02 EDT
Sendmail supports procmail natively, there is no need to create the forward file
to use procmail. Just create .procmailrc and it should work. It's a sendmail
problem if it doesn't.

Note You need to log in before you can comment on or make changes to this bug.